<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%
	String cntx = request.getContextPath();
%>
<!doctype html>
<html lang="ko">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<%@ include file="/WEB-INF/include/include-header.jspf" %>
	<!-- Custom Theme Style -->
<link href="<c:url value='/css/custom.css' />" rel="stylesheet">
<!-- Custom Theme Scripts -->
<script src="<c:url value='/js/custom.js' />"></script>
	
    <title>Wallboard Test</title>
	<script>
	    var ws;
	
		//"웹소켓 접속" 버튼을 클릭했을때
	    function btnLogin_onclick() {
			//웹소켓을 지원하는 브라우저이면
			if ("WebSocket" in window) {
				//웹소켓 서버에 접속한다.
				ws = new WebSocket("ws://127.0.0.1:14003");
				var randomId = Math.floor(Math.random() * 10000) + 1;
				//웹소켓이 접속되었음.
				ws.onopen = function() {
					//var sendstr = "REGIST|" + "WALBD^"+ randomId;
					var sendstr = "REGIST|" + "WALBD^"+ "2001";
					ws.send(sendstr);
				};
				//웹소켓 서버에서 메세지가 전송되었음.
				ws.onmessage = function(evt) {
					console.log(evt.data);
					document.getElementById("callData").value = evt.data;
					
				};
				//웹소켓이 종료되었음.
				ws.onclose = function() {
				};
				//웹소켓 접속중 에러가 발생하였음.
				ws.onerror = function(e) {
					alert("Server error:" + e);
				};
	
			} else {
				alert("브라우저가 웹소켓을 지원하지 않습니다.");
			}
	    }
		
		//소켓 접속후 레지스트를 한다.
		function onOpenFunction(){
			btnLogin_onclick();
		}
		
		function onCloseFunction(){
			ws.close();
		}
	
	
		function setvalue(){
			document.getElementById('fromdt').value = caldate(6);
			document.getElementById('todt').value = getDay("today");
		}
	
		function getWallInfo(){
			setvalue();
			var queryString = $("form[name=frm]").serialize() ;
			$.ajax({
				url:"<%=cntx%>/wall/getDashBoardInfo.do",
				type:"post",
				data : queryString,
				datatype:"json",
				success:function(args){
				},
				error : function(x,o,e){
					var msg = "에러발생 \n" + x.status + " : " + o + " : " + e;
				}
			});			
		}
	</script>
</head>
<body onload="onOpenFunction();" onunload="onCloseFunction();" style="background-color:#ccfff1; width: 100%;height: 100%; margin : 0 0 0 0;">
  	<form name="frm">
		<input type="hidden" id="fromdt" name="fromdt"> 
		<input type="hidden" id="todt" name="todt">
	</form>
	<input type="hidden" id="callData"/>
	<div id="main" style="width: 100%; height:100vh; margin : 0 0 0 0; overflow: hidden;">
	</div>
</body>
<script type="text/javascript">
var screenNo = "1";
function get_timer1(){ 
	try{
		// 스크린 순서대로 main에 로드하기 
		 if(screenNo == "1"){
			 screenNo = "2";
			 $("#main").load("<%=cntx%>/wall/w_call");
		 }else if(screenNo == "2"){
			 screenNo = "3";
			 $("#main").load("<%=cntx%>/wall/w_picture");
		 }else if(screenNo == "3"){
			 screenNo = "1";
			 $("#main").load("<%=cntx%>/wall/w_movie");
		 }else{
			 screenNo = "1";
		 }
		 // 1000 밀리초(=1초) 후에, 이 함수를 실행하기 (반복 실행 효과). 
		 //setTimeout( "get_timer1()", 10000 ); 
	}catch(error){
		alert(error);
	}

}
$(window).ready(function(){
	// (페이지가 로드되면) 함수를 불러오기. 
	//alert("wall1 load");
	var callFunction = get_timer1(); 
});
</script>
</html>